html,
body,
#common {
    width: 100%;
    margin: 0;
    padding: 0;
    overflow-x: hidden; /* 隐藏横向滚动条 */
}

/* 通用动画 */
.breathing {
    animation: breathe 2s ease-in-out infinite;
}
@keyframes breathe {
    0%,
    100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.3);
    }
}


/* 公共工具类 —— 推荐放顶部，方便复用 */
.flex-row-center {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.flex-column-center {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
}

.pointer {
    cursor: pointer;
}

.text-bold {
    font-weight: 500;
}

.text-center {
    text-align: center;
}

.rounded {
    border-radius: 1rem;
}

.transition-base {
    transition: transform 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94), opacity 0.3s;
}

.flex-column {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.btn-base {
    background-repeat: no-repeat;
    background-position: 0 0;
    cursor: pointer;
    transition: transform 0.2s;
}

.btn-base:hover {
    transform: scale(1.05);
}

.btn-base:active {
    transform: scale(0.95);
}

.btn-standard {
    height: 0.62rem;
    aspect-ratio: 211 / 62;
    width: auto;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    padding: 0 1%;
}

.btn-small {
    /*width: 0.62rem;*/
    /*height: 0.62rem;*/
    /*background-size: 0.62rem 0.62rem;*/
    /*background-repeat: no-repeat;*/
}

.btn-large {
    /*width: 2.8rem;*/
    /*height: 1.33rem;*/
    /*background-size: 2.8rem 1.33rem;*/
    /*background-repeat: no-repeat;*/
}

.text-multiline-truncate {
    display: -webkit-box;
    -webkit-line-clamp: 2; /* 最多显示两行 */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-all;
}

.modal-content {
    border-radius:5px;
}
.modal-header {
    padding: 0.24rem;
    font-size: .25rem;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}
.modal-body {
    padding: 0.24rem;
    font-size: .25rem;
}
.modal .container {
    padding: 0.24rem;
}
iframe .container {
    padding: 0.24rem;
}
.modal-header .btn-close {
    padding: 0.05rem;
    margin: 0.05rem;
    margin-left: auto;
    border-radius: 5px;
}
.modal-header .btn-close:focus,
.modal-header .btn-close:focus {
    box-shadow: 0 0 0 0.01rem rgba(13, 110, 253, 0.25);
}
.page-item:last-child .page-link:focus {
    box-shadow: 0 0 0 0.01rem rgba(13, 110, 253, 0.25);
}
.page-link:focus {
    box-shadow: 0 0 0 0.01rem rgba(13, 110, 253, 0.25);
}
#common .not-found {
    font-size: 14px;
    width: 100%;
    text-align: center;
    color: #bbc5ca;
}

@media (max-width: 768px) {
    #common .modal-header {
        font-size: .16rem;
        padding: .15rem;
        font-weight: 700 !important;
    }

    .modal.show .modal-dialog {
        width: 96%;
        margin: 0 auto;
    }
}

p {
    margin-bottom: 0.14rem;
}

@media (max-width: 1024px) and (orientation: landscape) {
    .modal {
        --bs-modal-margin: 0.01rem;
        --bs-modal-box-shadow: 0 0.05rem 0.01rem rgba(0, 0, 0, 0.15);
    }
    .modal.show .modal-dialog {
        width: 50%;
        max-width: 50%;
        margin: 0 auto;
    }
    #common .modal-header {
        padding: 0.02rem;
        font-size: 0.08rem;
    }
    #common .modal-body {
        padding: 0.02rem;
    }
}

.modal-overlay {
    position: fixed;
    inset: 0; /* 等价于 top:0; right:0; bottom:0; left:0; */
    background: rgba(0, 0, 0, 0.6); /* 半透明黑色 */
    backdrop-filter: blur(4px); /* 毛玻璃效果（可选） */
    z-index: 199; /* 比弹窗低一级 */
    animation: fadeIn 0.2s ease-out;

    /* 防止点击穿透 */
    pointer-events: auto;
}